# generated by cabal-rpm-2.0.9
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

Name:           fbrnch
Version:        0.8.0
Release:        1%{?dist}
Summary:        Fedora packager tool to build package branches

# libs/bodhi-hs, libs/pdc-hs: MIT
# libs/copr, libs/fedora-dists: GPLv3+
# fbrnch, libs/koji-hs, libs/pagure-hs: GPLv2+
License:        GPLv2+ and MIT and GPLv3+
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-base-devel
#BuildRequires:  ghc-bodhi-internal-devel
BuildRequires:  ghc-bugzilla-redhat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-config-ini-devel
#BuildRequires:  ghc-copr-internal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-email-validate-devel
BuildRequires:  ghc-extra-devel
#BuildRequires:  ghc-fedora-dists-internal-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haxr-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-http-query-devel
#BuildRequires:  ghc-koji-internal-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-optparse-applicative-devel
#BuildRequires:  ghc-pagure-internal-devel
#BuildRequires:  ghc-pdc-internal-devel
BuildRequires:  ghc-pretty-terminal-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpmbuild-order-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-typed-process-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xdg-basedir-devel
# End cabal-rpm deps
# manpage
BuildRequires:  help2man
Requires:       bodhi-client
Requires:       copr-cli
Requires:       curl
Requires:       fedpkg
Requires:       git-core
Requires:       koji
Requires:       krb5-workstation
Requires:       openssh-clients
Requires:       rpm-build
Requires:       rpmdevtools

%description
Fbrnch is a convenient packaging tool for Fedora Packagers, with integration
for Bugzilla, Koji, and Bodhi.

Features include:
- merging and building a package across release branches
- automated parallel builds of sets of packages in dependency order
- creating, updating and listing one's package reviews
- requesting repos for new approved packages and branch requests
- import srpms from package reviews
- progressive copr builds
- and many more commands.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm install

help2man --no-info %{buildroot}%{_bindir}/%{name} > %{name}.man
install -pm 644 -D %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

# remove internal libs
rm -r %{buildroot}%{_libdir}

for i in libs/*; do
cp -p $i/LICENSE LICENSE.$(basename $i)
done


%files
# Begin cabal-rpm files:
%license LICENSE*
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
# End cabal-rpm files
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Apr 08 2021 Jens Petersen <petersen@redhat.com> - 0.8.0-1
- major refactor of branch-package args handling together with branch options
- 'request-repos' can now take branch args and --mock option (#18)
- 'parallel': only override and waitrepo if more layers
- extend dryrun to bodhiCreateOverride, putBugBuild, bodhiUpdate, kojiWaitRepo
- drop the restriction of no packages inside a pkg dir (#19)
- 'switch': drop git clean requirement to prevent error when on branch
- 'parallel': use parallelBranches for single package arg
- 'request-branch': allow request for a closed pkg review
- 'copr': new --list-chroots option for project
- 'command': skip dead.package's
- 'build': clearer bodhi note prompt
- 'install': fix conflicting short options for --recurse and --reinstall

* Sat Mar 27 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-3
- fix package branch header for withPackageByBranches

* Fri Mar 26 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-2
- print package branch header with a branch option

* Fri Mar 26 2021 Jens Petersen <petersen@redhat.com> - 0.7.3-1
- changes/improvements to package header output
- 'merge','build': query about diverging newer commits
- 'merge': add --no-prompt option
- Build: refine the "still in testing" logic to check testing repo with prompt
- Koji: offer to resubmit build on API error
- 'scratch': don't get sources for pushed git build
- 'request-repos' now prompts for branching and
  'import' skips offering branching if they exist
- 'import': add --mock option for checking branches (#18)
- add 'not-installed' command: lists packages not installed locally at all
- Bugzilla: don't bother reprinting comment after posting it
- 'rename-master': renamed from 'master-rename'
- 'srpm': add --force option
- `local --force` (or --short): ignore existing built rpms
- 'command': option to hide package header if no output
- 'create-review': fix error for non-existent dir
- 'parallel': don't sleep for dryrun

* Sat Feb 27 2021 Jens Petersen <petersen@redhat.com> - 0.7.2-1
- 'install': --recurse to install missing neighboring deps
- 'request-repo': offer to request branches too
- 'override': --dryrun
- 'build': no longer override the last of built packages
- Bodhi overrides: error if failed; use 4 days
- 'local','install': print package name when build fails
- 'copr': abort on failure
- 'sort': only switch branch for dist-git
- 'review-package': new experimental command
- bunch of other tweaks and smaller fixes

* Wed Feb 10 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- add license files for internal libs

* Tue Feb  9 2021 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- spec file generated by cabal-rpm-2.0.8
